Skip to main content

Get site OpenSearch snapshot repository

GET 

/sites/:siteId/opensearch/snapshotRepository

Returns the S3 snapshot repository configured for the specified site.

The repository stores manual snapshots for the site's OpenSearch index. It is named from the site and application environment and is created automatically when a snapshot is requested. Snapshot repositories are not supported for OpenSearch Serverless.

Request

Path Parameters

    siteId stringrequired

    Site Identifier

Responses

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    s3Repositories

    object[]

  • Array [

  • repository string

    Name of the Repository

    bucket string

    Name of the S3 bucket

  • ]

Loading...